Bug 1416681 - PCIe compliance issues
Summary: PCIe compliance issues
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marcel Apfelbaum
QA Contact: jingzhao
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1392693
TreeView+ depends on / blocked
 
Reported: 2017-01-26 09:03 UTC by Ladi Prosek
Modified: 2017-08-02 03:17 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-01 23:42:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Ladi Prosek 2017-01-26 09:03:06 UTC
Description of problem:

PCI Hardware Compliance WHQL test found several compliance issues with the PCIe implementation in QEMU. Bug 1392693 has more details.

- Enhanced Capability Header register of the PCI Express Enhanced Capabilities Absent Indicator table must be read-only .

- Bit 0 (Correctable Error Reporting Enable) in the Device Control register (offset 8h) in the PCI Express Capability table must be read-writable .

- Bit 1 (Non-Fatal Error Reporting Enable) in the Device Control register (offset 8h) in the PCI Express Capability table must be read-writable .

- Bit 2 (Fatal Error Reporting Enable) in the Device Control register (offset 8h) in the PCI Express Capability table must be read-writable .

- Bit 3 (Unsupported Request Reporting Enable) in the Device Control register (offset 8h) in the PCI Express Capability table must be read-writable 

- Bit 6 (Common Clock Configuration) in the Link Control register (offset 10h) in the PCI Express Capability table must be read-writable .

- Bit 7 (Extended Synch) in the Link Control register (offset 10h) in the PCI Express Capability table must be read-writable .

- Bit range 1:0 (PowerState)in the Power Management Control/Status register (offset 4h) in the Power Management Capability table is 0h. It must be 3h after a supported D3 transition.

Comment 1 Ladi Prosek 2017-01-26 09:04:19 UTC
Assigning to Marcel who has already posted patches.
https://www.mail-archive.com/qemu-devel@nongnu.org/msg420299.html

Comment 3 Ladi Prosek 2017-04-07 08:09:38 UTC
The patches are in QEMU 2.9.0-rc1, thanks!

Comment 4 jingzhao 2017-04-24 05:39:49 UTC
Hi Marcel
  Could you help to provide how to reproduce the bz?

Thanks
Jing

Comment 6 Marcel Apfelbaum 2017-05-04 10:29:39 UTC
(In reply to jingzhao from comment #4)
> Hi Marcel
>   Could you help to provide how to reproduce the bz?
> 
> Thanks
> Jing

Sure, you need to run PCI Hardware Compliance WHQL test on a win2008,win2008R2,win7, win8 or win8.1 guest OS.
The test is part of virtio WHQL tests. The test should fail before this fix.

Comment 7 Ladi Prosek 2017-05-09 07:06:07 UTC
Hi Jing,
Peixiu Hou is working on verifying this in bug 1392693. Maybe you guys can sync up and run the test only once. Thanks!

Comment 9 lijin 2017-05-11 05:45:35 UTC
change status to verified as https://bugzilla.redhat.com/show_bug.cgi?id=1392693#c17 said,job can pass now

Comment 11 errata-xmlrpc 2017-08-01 23:42:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 12 errata-xmlrpc 2017-08-02 01:19:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 13 errata-xmlrpc 2017-08-02 02:11:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 14 errata-xmlrpc 2017-08-02 02:52:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 15 errata-xmlrpc 2017-08-02 03:17:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.